package rcarrilloco.PlanningFisio;
import java.util.ArrayList;
import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import rcarrilloco.PlanningFisio.library.Httppostaux;
import rcarrilloco.PlanningFisio.R;
import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.SystemClock;
import android.os.Vibrator;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

@SuppressLint("NewApi")
public class Login extends Activity {
   
	public static final String SETTING_INFOS = "SETTING_Infos";
	public static final String NAME = "NAME";
	public static final String PASSWORD = "PASSWORD";
   
    EditText user;
    EditText pass;
    Button blogin;
    TextView registrar;
    Httppostaux post;
    int tipousuario;
    String dnif;
    String IP_Server="www.solucionatest.com";
    String URL_connect="http://"+IP_Server+"/campus/planningfisio/acces.php";
  
    private ProgressDialog pDialog;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        getActionBar().hide();
        post=new Httppostaux();
        
        user= (EditText) findViewById(R.id.edusuario);
        pass= (EditText) findViewById(R.id.edpassword);
        blogin= (Button) findViewById(R.id.Blogin);
       
        
        SharedPreferences settings = getSharedPreferences(SETTING_INFOS, 0);
	    String name = settings.getString(NAME, "");
	    String password = settings.getString(PASSWORD, "");
		user.setText(name);
	    pass.setText(password);
       
	   
        blogin.setOnClickListener(new View.OnClickListener(){
       
        	
        	public void onClick(View view){
        		String usuario=user.getText().toString();
        		String passw=pass.getText().toString();
        		if( checklogindata( usuario , passw )==true){
        				new asynclogin().execute(usuario,passw);        		               
        			      		
        		
        		}else{
        				err_login();
        		}
        		
        		
        	}
        	
        													});
        
        
    }
    
   
    public void err_login(){
    	Vibrator vibrator =(Vibrator) getSystemService(Context.VIBRATOR_SERVICE);
	    vibrator.vibrate(200);
	    Toast toast1 = Toast.makeText(getApplicationContext(),"Error:Nombre de usuario o password incorrectos", Toast.LENGTH_SHORT);
 	    toast1.show();    	
    }
    
    
    
  
    public boolean loginstatus(String username ,String password) {
    	int logstatus=-1;
    	
    	
    	ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
     		
		    		postparameters2send.add(new BasicNameValuePair("usuario",username));
		    		postparameters2send.add(new BasicNameValuePair("password",password));
		    		
		    		
		
      		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);

      	
		    SystemClock.sleep(950);
		    		
		
		    	if (jdata!=null && jdata.length() > 0){

		    		JSONObject json_data; 
					try {
						 json_data = jdata.getJSONObject(0);
						 logstatus=json_data.getInt("logstatus");
						 Log.e("loginstatus","logstatus= "+logstatus);
						 tipousuario=json_data.getInt("tipo_usuario");
						 dnif=json_data.getString("dni_f");
						 Log.e("dni_f","dni_f= "+dnif);

					} catch (JSONException e) {
						
						e.printStackTrace();
					}		            
		             
				
		    		 if (logstatus==0){
		    			 Log.e("loginstatus ", "invalido");
		    			 return false;
		    		 }
		    		 else{
		    			 Log.e("loginstatus ", "valido");
		    			 return true;
		    		 }
		    		 
		    		 }else{
		    			 Log.e("JSON  ", "ERROR");
			    		return false;
		    		 }
    	
    }
    
    public boolean checklogindata(String username ,String password ){
    	
    if 	(username.equals("") || password.equals("")){
    	Log.e("Login ui", "checklogindata user or pass error");
    return false;
    
    }else{
    	
    	return true;
    }
    
}      
     
    

    class asynclogin extends AsyncTask< String, String, String > {
    	 
    	String user;
		String pass;
        protected void onPreExecute() {
        
            pDialog = new ProgressDialog(Login.this);
            pDialog.setMessage("Autenticando....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
		protected String doInBackground(String... params) {
			user=params[0];
			pass=params[1];
    		if (loginstatus(user,pass)==true){    		    		
    			return "ok"; 
    		}else{    		
    			return "err";      	          	  
    		}
        	
		}
       
	
        protected void onPostExecute(String result) {

           pDialog.dismiss();
           Log.e("onPostExecute=",""+result);
           
           if (result.equals("ok") && tipousuario==1){
				Intent i=new Intent(Login.this, MFisioterapeuta.class);
				i.putExtra("user",user);
				i.putExtra("tipo_usuario",tipousuario);
				i.putExtra("dni_f",dnif);
				startActivity(i); 
				
            }else if (result.equals("ok") && tipousuario==2){
				Intent i=new Intent(Login.this, MAdministrador.class);
				i.putExtra("user",user);
				i.putExtra("tipo_usuario",tipousuario);
				i.putExtra("dni_f",dnif);
				startActivity(i); 
            }else{
            	err_login();
            }
            
                									}
		
        }
    @Override
    protected void onStop(){
        
    	super.onStop();

      
    		        	SharedPreferences settings = getSharedPreferences(SETTING_INFOS, 0);
    		           
    		            	settings.edit()
    		      	      .putString(NAME, user.getText().toString())
    		      	      .putString(PASSWORD, pass.getText().toString())
    		      	      .commit();
    		          
    }

}