package rcarrilloco.PlanningFisio;


import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.citas.Calendario;
import rcarrilloco.PlanningFisio.mapas.ListadoPacientesMapa;
import rcarrilloco.PlanningFisio.pacientes.ListadoPacientes;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageButton;
import android.widget.TextView;
public class MFisioterapeuta extends Activity {
	String user;
	int tipousuario;
	String dnif;
	TextView txt_tipo;
	ImageButton bListadoPacientes;
	ImageButton bAgenda;
	ImageButton bGuiar;
	public void onCreate(Bundle savedInstanceState) {
		 
	       super.onCreate(savedInstanceState);
	       setContentView(R.layout.mfisio);
            
	        bListadoPacientes= (ImageButton) findViewById(R.id.bPacientes);
            bAgenda=(ImageButton) findViewById(R.id.bAgenda);
            bGuiar=(ImageButton) findViewById(R.id.bGuiar);
            Bundle extras = getIntent().getExtras();
            if (extras != null) {
         	   user  = extras.getString("user");
         	   tipousuario=extras.getInt("tipo_usuario");
         	   dnif=extras.getString("dni_f");
         	   }else{
         	   user="error";
         	   }
            
           bListadoPacientes.setOnClickListener(new View.OnClickListener(){
	         	
	         	public void onClick(View view){
	         		Intent i=new Intent(MFisioterapeuta.this, ListadoPacientes.class);
					i.putExtra("dni_f",dnif);
					i.putExtra("tipo_usuario",tipousuario);
					startActivity(i); 
	         		}
	         	});	      
	        
	        bAgenda.setOnClickListener(new View.OnClickListener(){
	         	
	         	public void onClick(View view){
	         		Intent i=new Intent(MFisioterapeuta.this, Calendario.class);
					i.putExtra("dni_f",dnif);
					i.putExtra("tipo_usuario",tipousuario);
					startActivity(i); 
	         		}
	         	});	   
             bGuiar.setOnClickListener(new View.OnClickListener(){
	         	
	         	public void onClick(View view){
	         		Intent i=new Intent(MFisioterapeuta.this, ListadoPacientesMapa.class);
					i.putExtra("dni_f",dnif);
					i.putExtra("tipo_usuario",tipousuario);
					startActivity(i); 
	         		}
	         	});	      
	 }
	 
	
	
	 public void clickOnAbout(View v)
	    {
	    	Intent i = new Intent(MFisioterapeuta.this, About.class);
	    	startActivity(i);
	    }
	    
	    public void clickOnExit(View v)
	    {
	    	this.finish();
	    }
	
	    
	    
	    @Override 
	    public boolean onCreateOptionsMenu(Menu menu) 
	    {
	        super.onCreateOptionsMenu(menu);
	        MenuInflater inflater = getMenuInflater();
	        inflater.inflate(R.menu.menu, menu);

	        return true; 
	     }
	    

	     @Override 
	     public boolean onOptionsItemSelected(MenuItem item)
	     {
	         switch (item.getItemId())
	         {
	         	case R.id.mnuAbout:    clickOnAbout(null);     break;
	         	case R.id.mnuExit:     clickOnExit(null);      break;
	         }

	         return true; 
	     }
	    
	
}
