package rcarrilloco.PlanningFisio.citas;



import java.util.ArrayList;

import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;

import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.EditText;
import android.widget.TextView;
import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.library.Httppostaux;




public class NuevaCita extends Activity {
	
	EditText observaciones;
    String dni, dnif, fecha, hora, direccion, nombre;
	
    TextView dni1, dnif1, fecha1, hora1, direccion1;
	Httppostaux post;
	String IP_Server="www.solucionatest.com";
    String URL_connect="http://"+IP_Server+"/campus/planningfisio/addcita.php";
    private ProgressDialog pDialog;
    
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_action_nuevo, menu);
        return true;
    }
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            
            case R.id.menu_save:
           
        		final String v_observaciones=observaciones.getText().toString();
        		
        			  AlertDialog.Builder alertDialog = new AlertDialog.Builder(NuevaCita.this); 
        			  alertDialog.setMessage("Desea crear la cita?"); 
        			  alertDialog.setTitle("Nueva cita"); 
        			  alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
        			  alertDialog.setCancelable(false); 
        			  alertDialog.setPositiveButton("S", new DialogInterface.OnClickListener() 
        			  { 
        			     public void onClick(DialogInterface dialog, int which) 
        			    { 
        			    	 new asyncNcita().execute(v_observaciones); 
        			     } 
        			   }); 
        			   alertDialog.setNegativeButton("No", new DialogInterface.OnClickListener() 
        			   { 
        			      public void onClick(DialogInterface dialog, int which) 
        			     { 
        			      } 
        			    }); 
        			    alertDialog.show();             
        		return true;
           default:
                return super.onOptionsItemSelected(item);
        } 
    }
    
    
    
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.nuevacita);
        Bundle extras = getIntent().getExtras();
        dni=extras.getString("dni");
        nombre=extras.getString("nombre");
        dnif=extras.getString("dni_f");
        fecha=extras.getString("fecha");
        hora=extras.getString("hora");
        direccion=extras.getString("direccion");
        post=new Httppostaux();
        observaciones= (EditText) findViewById(R.id.EditObservaciones);
        fecha1= (TextView) findViewById(R.id.TvFechaCita);
        hora1= (TextView) findViewById(R.id.TvHoraCita);
        dni1= (TextView) findViewById(R.id.TvPacienteCita);
        direccion1= (TextView) findViewById(R.id.TvDomicilioCita);
        fecha1.setText(fecha);
        hora1.setText(hora);
        dni1.setText(dni);
        direccion1.setText(direccion);
		}
    
  
    public boolean addcita(String observaciones){
    	
    	ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		postparameters2send.add(new BasicNameValuePair("dni", dni));
 		postparameters2send.add(new BasicNameValuePair("nombre", nombre));
 		postparameters2send.add(new BasicNameValuePair("dni_f",dnif));
 		postparameters2send.add(new BasicNameValuePair("hora",hora));
 		postparameters2send.add(new BasicNameValuePair("fecha",fecha));
 		postparameters2send.add(new BasicNameValuePair("observaciones",observaciones));
 		postparameters2send.add(new BasicNameValuePair("direccion",direccion));

 		int logstatus=-1;
 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);

  		if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
				try {
					 json_data = jdata.getJSONObject(0); 
					 logstatus=json_data.getInt("logstatus");
										
				} catch (JSONException e) {
					
					e.printStackTrace();
				}		            
	             
				 if (logstatus==0){
	    			 Log.e("logstatus", "Ya existe una cita en esa fecha y hora");
	    			 return false;
	    		 }
	    		 else{
	    			 Log.e("logstatus", "Insertado OK");
	     			 return true;
	    		 }
	    		 }else{	
	    			 Log.e("JSON  ", "ERROR");
	    		     return false;
	    		 }
	    	
    }   
    
    
   
  
    class asyncNcita extends AsyncTask<String, String, String >{
    	String observaciones;
 		protected void onPreExecute() {
 		   pDialog = new ProgressDialog(NuevaCita.this);
            pDialog.setMessage("Guardando la cita....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            observaciones=params[0];
            
        	
            if (addcita(observaciones)==true){    		    		
    			return "ok"; 
    		}else{    
    			 
    			 return "err";   	  
    		}
    }
    		
        protected void onPostExecute(String result) {
        	String resultado = result;
        	pDialog.dismiss();
        	if(resultado=="err")
        	{
        		 AlertDialog.Builder alertDialog = new AlertDialog.Builder(NuevaCita.this); 
  			     alertDialog.setMessage("El alta no ha sido efectuada. Ya existe una cita en esa fecha y hora"); 
  			     alertDialog.setTitle("Atencin"); 
  			     alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
			     alertDialog.setCancelable(true); 
			     alertDialog.show();
        	}else{
        		 finish();
        		 Intent i=new Intent(NuevaCita.this, Calendario.class);
        		 i.putExtra("dni_f", dnif);
        		 i.putExtra("fecha", fecha);
        		 startActivity(i);
        	}
        }
    }    
}	
        
        	
    

  
