
package rcarrilloco.PlanningFisio.citas;

import java.util.ArrayList;
import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.library.Httppostaux;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.GridView;
import android.widget.TextView;


public class Planning extends Activity {
	public String fecha;
	public String hora;
	public String dnif;	
	ArrayList<String> arrayOfWebdata = new ArrayList<String>();
	Httppostaux post;
		
	    class Cita {
		    public String dni;
		    public String observaciones;
		  
		}
		Cita datoscita = new Cita();
		String IP_Server="www.solucionatest.com";
	    String URL_connect="http://"+IP_Server+"/campus/planningfisio/recuperar_cita.php";
	   
	String[] listItems = {"9-10", "10-11", "11-12", "12-13", "13-14", "14-15", "15-16", "16-17", "17-18", "18-19", "19-20", "20-21"};
	public ArrayAdapter<String> adapter;
    private ProgressDialog pDialog;

	public void onCreate(Bundle savedInstanceState) {
        post=new Httppostaux();

		super.onCreate(savedInstanceState);
	    setContentView(R.layout.planning);
	    Bundle extras = getIntent().getExtras();
	    TextView title  = (TextView) findViewById(R.id.title);
	    fecha  = extras.getString("fecha");
        dnif = extras.getString("dni_f");
        title.setText(fecha);
      	  
	   new asyncRcita().execute(fecha);

	    for(int i=0; i<listItems.length;i++){
			hora=listItems[i].toString();
			}
	    
	   
	}
	
	
	
	
	
	  public String recuperarcita(String fecha, String hora){
		    
	    	 
	        ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
	  		
	 	
	 		postparameters2send.add(new BasicNameValuePair("fecha",fecha));
	 		postparameters2send.add(new BasicNameValuePair("hora",hora));
	 		postparameters2send.add(new BasicNameValuePair("dni_f",dnif));
	 		
	 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);
	  		
	  			try {
						for(int i=0; i<jdata.length();i++){
			    			
							JSONObject json_data= jdata.getJSONObject(i);
							arrayOfWebdata.add(json_data.getString("nombre"));
							
							}
		    			
		    			
						} catch (JSONException e) {
							
						}
			   return null;
		        }
	  
	  
	  class asyncRcita extends AsyncTask<String, String, String >{
	    	String fecha;
			String hora;
			String dni;
	 		protected void onPreExecute() {
	            pDialog = new ProgressDialog(Planning.this);
	            pDialog.setMessage("Recuperando informacin sobre las citas del da...");
	            pDialog.setIndeterminate(false);
	            pDialog.setCancelable(false);
	            pDialog.show();
	        }
	 
	        protected String doInBackground(String... params) {
	            fecha=params[0];
	            
	            for(int i=0; i<listItems.length;i++){
	    			hora=listItems[i].toString();
	    			recuperarcita(fecha,hora);
	    			}
	           return datoscita.dni;
	            	
	        	
	        	
	            
	    }
	    		
	        protected void onPostExecute(String result) {
	        	 pDialog.dismiss();
	        	GridView gridview = (GridView) findViewById(R.id.gridview);
	     	    gridview.setAdapter(new DataAdapter(Planning.this,arrayOfWebdata));
	     	    
	     	   
	     		gridview.setOnItemClickListener(new OnItemClickListener() {
	     		    public void onItemClick(AdapterView<?> parent, View v, int position, long id) {
	     		    	String sin_cita=arrayOfWebdata.get(position);
	     		    	if(sin_cita.equals("sin cita")){
	     		    	    finish();
	     		    	 	Intent i = new Intent(Planning.this,ListadoPacientesCitas.class);
	     		            i.putExtra("fecha", fecha);
	     		        	i.putExtra("hora", listItems[position].toString());
	     		        	i.putExtra("dni_f", dnif);
	     					startActivity(i); 
	     					}else{
	     						finish();
		     		    	 	Intent i = new Intent(Planning.this,RecuperarCita.class);
		     		            i.putExtra("fecha", fecha);
		     		        	i.putExtra("hora", listItems[position].toString());
		     		        	i.putExtra("dni_f", dnif);
		     					startActivity(i); 
	     					}
	     		    
	     		    }
	     		});
	        }
	
	
        }
}
