package rcarrilloco.PlanningFisio.citas;

import java.util.ArrayList;
import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;
import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.library.Httppostaux;




public class RecuperarCita extends Activity {
	String dnif;
	String Fecha;
	String Hora;
	TextView fecha1;
	TextView hora1;
	TextView dni1;
	TextView nombre;
	TextView direccion;
	TextView observaciones;
    Httppostaux post;
	
    class Cita {
	    public String fecha;
	    public String hora;
	    public String dni;
	    public String nombre;
	    public String direccion;
	    public String observaciones;
	}
	Cita datoscita = new Cita();
	String IP_Server="www.solucionatest.com";
	String URL_connect="http://"+IP_Server+"/campus/planningfisio/recuperar_cita.php";
    String URL_connect1="http://"+IP_Server+"/planningfisio/borrar_cita.php";
    private ProgressDialog pDialog;
    
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_action_borrar, menu);
        return true;
    }
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            
            case R.id.menu_delete:
            	
              AlertDialog.Builder alertDialog = new AlertDialog.Builder(RecuperarCita.this); 
  			  alertDialog.setMessage("Desea borrar la cita?"); 
  			  alertDialog.setTitle("Borrar cita"); 
  			  alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
  			  alertDialog.setCancelable(false); 
  			  alertDialog.setPositiveButton("S", new DialogInterface.OnClickListener() 
  			  { 
  			    public void onClick(DialogInterface dialog, int which) 
  			    { 
  			    	finish();
  			    	Intent i1=new Intent(RecuperarCita.this, BorrarCita.class);
  			    	i1.putExtra("fecha", Fecha);
  	            	i1.putExtra("hora", Hora);
  	            	i1.putExtra("dni_f", dnif);
  	            	startActivity(i1); 
  	                			     } 
  			   }); 
  			   alertDialog.setNegativeButton("No", new DialogInterface.OnClickListener() 
  			   { 
  			      public void onClick(DialogInterface dialog, int which) 
  			     { 
  			      } 
  			    }); 
  			    alertDialog.show();             
  			  return true; 
            	
            default:
                return super.onOptionsItemSelected(item);
        }
    }
  
    
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.recuperarcita);
        post=new Httppostaux();
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
      	   dnif  = extras.getString("dni_f");
           Fecha  = extras.getString("fecha");
           Hora = extras.getString("hora");
      	   }else{
      	   dnif="error";
      	   }
        nombre= (TextView) findViewById(R.id.TvNombrePacienteCita);
        hora1= (TextView) findViewById(R.id.TvHoraCita);
        direccion= (TextView) findViewById(R.id.TvDomicilioCita);
        dni1= (TextView) findViewById(R.id.TvPacienteCita);
        fecha1= (TextView) findViewById(R.id.TvFechaCita);
        observaciones= (TextView) findViewById(R.id.TvObservaciones);
       	new asyncRcita().execute(Fecha,Hora);        	              
      
		}
    
       
    public void recuperarcita(String fecha,String hora){
    	nombre= (TextView) findViewById(R.id.TvNombrePacienteCita);
        hora1= (TextView) findViewById(R.id.TvHoraCita);
        direccion= (TextView) findViewById(R.id.TvDomicilioCita);
        dni1= (TextView) findViewById(R.id.TvPacienteCita);
        fecha1= (TextView) findViewById(R.id.TvFechaCita);
        observaciones= (TextView) findViewById(R.id.TvObservaciones);
    	 
        ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		
 	
 		postparameters2send.add(new BasicNameValuePair("fecha",fecha));
 		postparameters2send.add(new BasicNameValuePair("hora",hora));
 		postparameters2send.add(new BasicNameValuePair("dni_f",dnif));
 		
  		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);
  		
  		
	    		
	    if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
				try {
					 json_data = jdata.getJSONObject(0); 
					 
					 datoscita.fecha = json_data.getString("fecha");
					 datoscita.hora = json_data.getString("hora");
					 datoscita.dni = json_data.getString("dni");
					 datoscita.direccion = json_data.getString("direccion");
					 datoscita.nombre = json_data.getString("nombre");
					 datoscita.observaciones = json_data.getString("observaciones");
					
										
				} catch (JSONException e) {
					e.printStackTrace();
				}		            
	             
	    }
	    	
    }   
    
 
  
    class asyncRcita extends AsyncTask<String, String, String >{
    	String fecha;
		String hora;
 		protected void onPreExecute() {
            pDialog = new ProgressDialog(RecuperarCita.this);
            pDialog.setMessage("Recuperando datos de la cita....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            fecha=params[0];
            hora=params[1];
            recuperarcita(fecha,hora);
        	return fecha;
            
    }
    		
        protected void onPostExecute(String result) {
        	 pDialog.dismiss();
        	 nombre.setText(datoscita.nombre);
        	 hora1.setText(datoscita.hora);
        	 dni1.setText(datoscita.dni);
        	 direccion.setText(datoscita.direccion);
        	 fecha1.setText(datoscita.fecha);
        	 observaciones.setText(datoscita.observaciones);
        }
    }    

}	
        
        	
    

  
