package rcarrilloco.PlanningFisio.fisioterapeutas;



import java.util.ArrayList;

import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.EditText;
import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.library.Httppostaux;




public class EditarFisio extends Activity {
	String Enviodni;
	EditText nombre;
	EditText apellidos;
	EditText dni1;
	EditText nombreusuario;
	EditText password;
	EditText direccion;
	EditText telefono;
	EditText email;
    Httppostaux post;
	
    class Fisio {
    	public String nombreusuario;
	    public String password;
    	public String nombre;
	    public String apellidos;
	    public String direccion;
	    public String dni;
	    public String telefono;
	    public String email;
	}
	Fisio datosfisio = new Fisio();
	ArrayList<Fisio> arrayOfFisio = new ArrayList<Fisio>();
	String IP_Server="www.solucionatest.com";
	String URL_connect="http://"+IP_Server+"/campus/planningfisio/recuperar_fisio.php";
    String URL_connect1="http://"+IP_Server+"/campus/planningfisio/actualizar_fisio.php";
    private ProgressDialog pDialog;
    
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_action_nuevo, menu);
        return true;
    }
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            
            case R.id.menu_save:
            	final String v_nombreusuario=nombreusuario.getText().toString();
            	final String v_password=password.getText().toString();
            	final String v_nombre=nombre.getText().toString();
        		final String v_apellidos=apellidos.getText().toString();
        		final String v_direccion=direccion.getText().toString();
        		final String v_dni=dni1.getText().toString();
        		final String v_telefono=telefono.getText().toString();
        		final String v_email=email.getText().toString();
            	
        		 AlertDialog.Builder alertDialog = new AlertDialog.Builder(EditarFisio.this); 
     			  alertDialog.setMessage("Desea actualizar los datos del fisioterapeuta?"); 
     			  alertDialog.setTitle("Actualizar fisioterapeuta"); 
     			  alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
     			  alertDialog.setCancelable(false); 
     			  alertDialog.setPositiveButton("S", new DialogInterface.OnClickListener() 
     			  { 
     			     public void onClick(DialogInterface dialog, int which) 
     			    { 
     	        		new asyncAfisio().execute(v_nombreusuario, v_password,v_nombre, v_apellidos, v_direccion, v_dni, v_telefono, v_email);  
     	        		 
     	                			     } 
     			   }); 
     			   alertDialog.setNegativeButton("No", new DialogInterface.OnClickListener() 
     			   { 
     			      public void onClick(DialogInterface dialog, int which) 
     			     { 
     			       
     			      } 
     			    }); 
     			    alertDialog.show();         

            return true;   
            default:
                return super.onOptionsItemSelected(item);
        }
    }
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.efisio);
        post=new Httppostaux();
        Bundle extras = getIntent().getExtras();
        Enviodni  = extras.getString("dni_f");
        nombreusuario= (EditText) findViewById(R.id.tvNombreUsuario);
        password= (EditText) findViewById(R.id.tvPassword);
        nombre= (EditText) findViewById(R.id.tvNombre);
        apellidos= (EditText) findViewById(R.id.tvApellidos);
        direccion= (EditText) findViewById(R.id.tvDireccion);
        dni1= (EditText) findViewById(R.id.tvDNI);
        telefono= (EditText) findViewById(R.id.tvTelefono);
        email= (EditText) findViewById(R.id.tvEmail);
       	new asyncEfisio().execute(Enviodni);        	              
    
		}
    
       
    public void recuperarfisio(String dni){
    	nombreusuario= (EditText) findViewById(R.id.tvNombreUsuario);
        password= (EditText) findViewById(R.id.tvPassword);
    	nombre= (EditText) findViewById(R.id.tvNombre);
        apellidos= (EditText) findViewById(R.id.tvApellidos);
        direccion= (EditText) findViewById(R.id.tvDireccion);
        dni1= (EditText) findViewById(R.id.tvDNI);
        telefono= (EditText) findViewById(R.id.tvTelefono);
        email= (EditText) findViewById(R.id.tvEmail);
         
    	 
         ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		
 	
 		postparameters2send.add(new BasicNameValuePair("dni",dni));
 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);
  	    if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
				try {
					 json_data = jdata.getJSONObject(0); 
					 datosfisio.nombreusuario = json_data.getString("username");
					 datosfisio.password = json_data.getString("passw");
					 datosfisio.nombre = json_data.getString("nombre");
					 datosfisio.apellidos = json_data.getString("apellidos");
					 datosfisio.dni = json_data.getString("dni_f");
					 datosfisio.direccion = json_data.getString("direccion");
					 datosfisio.telefono = json_data.getString("telefono");
					 datosfisio.email = json_data.getString("email");
					
										
				} catch (JSONException e) {
					e.printStackTrace();
				}		            
	             
	    }
	    	
    }   
    
    
    public boolean actualizarfisio(String nombreusuario, String password, String nombre ,String apellidos, String direccion, String dni, String telefono, String email ){
    	
   	 ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();

   	    postparameters2send.add(new BasicNameValuePair("usuario", nombreusuario));
		postparameters2send.add(new BasicNameValuePair("passw", password));
		postparameters2send.add(new BasicNameValuePair("nombre", nombre));
		postparameters2send.add(new BasicNameValuePair("apellidos",apellidos));
		postparameters2send.add(new BasicNameValuePair("direccion",direccion));
		postparameters2send.add(new BasicNameValuePair("dni",dni));
		postparameters2send.add(new BasicNameValuePair("telefono",telefono));
		postparameters2send.add(new BasicNameValuePair("email",email));
		postparameters2send.add(new BasicNameValuePair("dnip",Enviodni));
		int logstatus=-1;
		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect1);
		if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
				try {
					 json_data = jdata.getJSONObject(0); 
					 logstatus=json_data.getInt("logstatus");
										
				} catch (JSONException e) {
					e.printStackTrace();
				}		            
	             
				 if (logstatus==0){
	    			 Log.e("logstatus", "DNI repetido");
	    			 
	    			 return false;
	    		 }
	    		 else{
	    			 Log.e("logstatus", "Insertado OK");
	     			 return true;
	    		 }
	    		 }else{	
	    				Log.e("JSON  ", "ERROR");
	    			
	    				return false;
	    		 }
	    	
   }   
	    	
      
    
  
    class asyncEfisio extends AsyncTask<String, String, String >{
    	String dni;
 		protected void onPreExecute() {
 			pDialog = new ProgressDialog(EditarFisio.this);
            pDialog.setMessage("Recuperando datos del fisioterapeuta....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            dni=params[0];
            recuperarfisio(dni);
        	return dni;
            
    }
    		
        protected void onPostExecute(String result) {
        	 pDialog.dismiss(); 
        	 nombreusuario.setText(datosfisio.nombreusuario);
        	 password.setText(datosfisio.password);
        	 nombre.setText(datosfisio.nombre);
        	 apellidos.setText(datosfisio.apellidos);
        	 dni1.setText(datosfisio.dni);
        	 direccion.setText(datosfisio.direccion);
        	 telefono.setText(datosfisio.telefono);
        	 email.setText(datosfisio.email);
        	
        }

		
    }    
   

        

class asyncAfisio extends AsyncTask<String, String, String >{
	String nombreusuario;
	String password;
	String nombre;
	String apellidos;
	String direccion;
	String dni;
	String telefono;
	String email;
		protected void onPreExecute() {
	    pDialog = new ProgressDialog(EditarFisio.this);
        pDialog.setMessage("Actualizando los datos del fisioterapeuta....");
        pDialog.setIndeterminate(false);
        pDialog.setCancelable(false);
        pDialog.show();
    }

    protected String doInBackground(String... params) {
    	nombreusuario=params[0];
    	password=params[1];
    	nombre=params[2];
        apellidos=params[3];
        direccion=params[4];
        dni=params[5];
        telefono=params[6];
        email=params[7];
        actualizarfisio(nombreusuario,password,nombre,apellidos,direccion,dni,telefono,email);
    	return "OK";
        
}
		
    protected void onPostExecute(String result) {
    	 pDialog.dismiss();
    	 finish();
    	 Intent i=new Intent(EditarFisio.this, RecuperarFisio.class);
      	 i.putExtra("dni_f", Enviodni);
		 startActivity(i);
    	
    }
  }    

}	




  
