package rcarrilloco.PlanningFisio.fisioterapeutas;



import java.util.ArrayList;

import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.SystemClock;
import android.os.Vibrator;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.EditText;
import android.widget.Toast;
import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.library.Httppostaux;


public class NuevoFisio extends Activity {
	
	EditText nombre;
    EditText apellidos;
    EditText dni;
    EditText nombreusuario;
    EditText password;
    EditText direccion;
    EditText telefono;
    EditText email;
    Httppostaux post;	
	String dnif;
	String IP_Server="www.solucionatest.com";
    String URL_connect="http://"+IP_Server+"/campus/planningfisio/adduser.php";
    private ProgressDialog pDialog;
    
    public boolean onCreateOptionsMenu(Menu menu) {
         getMenuInflater().inflate(R.menu.menu_action_nuevo, menu);
        return true;
    }
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            
            case R.id.menu_save:
            	final String v_nombreusuario=nombreusuario.getText().toString();
        		final String v_password=password.getText().toString();
        		final String v_nombre=nombre.getText().toString();
        		final String v_apellidos=apellidos.getText().toString();
        		final String v_direccion=direccion.getText().toString();
        		final String v_dni=dni.getText().toString();
        		final String v_telefono=telefono.getText().toString();
        		final String v_email=email.getText().toString();
        		
        		if( checkfisiodata(v_nombreusuario, v_password, v_nombre, v_apellidos, v_direccion, v_dni, v_telefono, v_email)==true){
        			  AlertDialog.Builder alertDialog = new AlertDialog.Builder(NuevoFisio.this); 
        			  alertDialog.setMessage("Desea guardar los datos del nuevo fisio?"); 
        			  alertDialog.setTitle("Crear fisio"); 
        			  alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
        			  alertDialog.setCancelable(false); 
        			  
        			  alertDialog.setPositiveButton("S", new DialogInterface.OnClickListener() 
        			  { 
        			     public void onClick(DialogInterface dialog, int which) 
        			    { 
        			    	 new asyncNfisio().execute(v_nombreusuario, v_password, v_nombre, v_apellidos, v_direccion, v_dni, v_telefono, v_email); 
        			     } 
        			   }); 
        			   alertDialog.setNegativeButton("No", new DialogInterface.OnClickListener() 
        			   { 
        			      public void onClick(DialogInterface dialog, int which) 
        			     { 
        			      } 
        			    }); 
        			    alertDialog.show();             
        		}else{
        			err_validarDatos();
        		}
                return true;
           default:
                return super.onOptionsItemSelected(item);
        } 
    }
    
    
    
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.nfisio);
        post=new Httppostaux();
        
        nombre= (EditText) findViewById(R.id.EditNombre);
        apellidos= (EditText) findViewById(R.id.EditApellidos);
        direccion= (EditText) findViewById(R.id.EditDireccion);
        dni= (EditText) findViewById(R.id.EditDNI);
        telefono= (EditText) findViewById(R.id.EditTelefono);
        email= (EditText) findViewById(R.id.EditEmail);
        nombreusuario= (EditText) findViewById(R.id.EditNombreUsuario);
        password= (EditText) findViewById(R.id.EditPassword);

     	}
    
    public boolean checkfisiodata(String nombreusuario, String password, String nombre ,String apellidos, String direccion, String dni, String telefono, String email){
    	
        if 	(nombre.equals("") || apellidos.equals("")|| direccion.equals("")|| dni.equals("")|| telefono.equals("")|| email.equals("") || nombreusuario.equals("")|| password.equals("")){
        	Log.e("Nuevo fisio ui", "checkusuariodata faltan datos");
        return false;
        
        }else{
        	
        	return true;
        }
        
    }      
    public boolean addfisio(String nombre ,String apellidos, String direccion, String dni, String telefono, String email, String usuario, String passw ){
    	
    	 ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		
 		postparameters2send.add(new BasicNameValuePair("nombre", nombre));
 		postparameters2send.add(new BasicNameValuePair("apellidos",apellidos));
 		postparameters2send.add(new BasicNameValuePair("direccion",direccion));
 		postparameters2send.add(new BasicNameValuePair("dni",dni));
 		postparameters2send.add(new BasicNameValuePair("usuario",usuario));
 		postparameters2send.add(new BasicNameValuePair("passw",passw));
 		postparameters2send.add(new BasicNameValuePair("telefono",telefono));
 		postparameters2send.add(new BasicNameValuePair("email",email));
 		postparameters2send.add(new BasicNameValuePair("tipo","1"));

 		int logstatus=-1;
 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);

  	   SystemClock.sleep(950);
	    		
	    if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
				try {
					 json_data = jdata.getJSONObject(0); 
					 logstatus=json_data.getInt("logstatus");
										
				} catch (JSONException e) {
					e.printStackTrace();
				}		            
	             
	    		 if (logstatus==0){
	    			 Log.e("logstatus", "DNI repetido");
	    			 return false;
	    		 }
	    		 else{
	    			 Log.e("logstatus", "Insertado OK");
	     			 return true;
	    		 }
	    		 }else{	
	    				Log.e("JSON  ", "ERROR");
	    				return false;
	    		 }
	    	
    }   
    
    
    public void err_validarDatos(){
    	Vibrator vibrator =(Vibrator) getSystemService(Context.VIBRATOR_SERVICE);
	    vibrator.vibrate(200);
	    Toast toast1 = Toast.makeText(getApplicationContext(),"Error:Faltan datos por introducir", Toast.LENGTH_SHORT);
 	    toast1.show();    	
    }
    
  
    class asyncNfisio extends AsyncTask<String, String, String >{
    	String nombre;
		String apellidos;
		String direccion;
		String dni;
		String nombreusuario;
		String password;
		String telefono;
		String email;
 		protected void onPreExecute() {
 	        pDialog = new ProgressDialog(NuevoFisio.this);
            pDialog.setMessage("Guardando el fisioterapeuta....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            nombre=params[0];
            apellidos=params[1];
            direccion=params[2];
            dni=params[3];
            nombreusuario=params[4];
            password=params[5];
            telefono=params[6];
            email=params[7];
        	
            if (addfisio(nombre,apellidos,direccion,dni,nombreusuario,password,telefono,email)==true){    		    		
    			return "ok"; 
    		}else{    
    			 
    			 return "err";     	  
    		}
    }
    		
        protected void onPostExecute(String result) {
        	String resultado = result;
        	pDialog.dismiss();
        	if(resultado=="err")
        	{
        		 AlertDialog.Builder alertDialog = new AlertDialog.Builder(NuevoFisio.this); 
  			     alertDialog.setMessage("El alta no ha sido efectuada. Ya existe un fisio con ese nombre de usuario y dni"); 
  			     alertDialog.setTitle("Atencin"); 
  			     alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
			     alertDialog.setCancelable(true); 
			     alertDialog.show();
        	}else{
        		 Intent i=new Intent(NuevoFisio.this, RecuperarFisio.class);
	             startActivity(i);
        	}
        }
    }    
    
}	
        
        	
    

  
