package rcarrilloco.PlanningFisio.fisioterapeutas;



import java.util.ArrayList;

import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;
import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.library.Httppostaux;




public class RecuperarFisio extends Activity {
	String Enviodni;
	TextView nombre;
	TextView apellidos;
	TextView dni1;
	TextView nombreusuario;
	TextView password;
	TextView direccion;
	TextView telefono;
	TextView email;
    Httppostaux post;
	
    class Fisio {
    	public String nombreusuario;
	    public String password;
    	public String nombre;
	    public String apellidos;
	    public String direccion;
	    public String dni;
	    public String telefono;
	    public String email;
	}
	Fisio datosfisio = new Fisio();
	String IP_Server="www.solucionatest.com";
    String URL_connect="http://"+IP_Server+"/campus/planningfisio/recuperar_fisio.php";
    String URL_connect1="http://"+IP_Server+"/campus/planningfisio/borrar_fisio.php";
    private ProgressDialog pDialog;
    
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_action_recuperar, menu);
        return true;
    }
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.menu_edit:
            	finish();
            	Intent i=new Intent(RecuperarFisio.this, EditarFisio.class);
            	i.putExtra("dni_f", Enviodni);
            	startActivity(i); 
                return true;
            case R.id.menu_delete:
            	
              AlertDialog.Builder alertDialog = new AlertDialog.Builder(RecuperarFisio.this); 
  			  alertDialog.setMessage("Desea borrar los datos del fisioterapeuta?"); 
  			  alertDialog.setTitle("Borrar fisioterapeuta"); 
  			  alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
  			  alertDialog.setCancelable(false); 
  			  alertDialog.setPositiveButton("S", new DialogInterface.OnClickListener() 
  			  { 
  			     public void onClick(DialogInterface dialog, int which) 
  			    { 
  			    	 new asyncBfisio().execute(Enviodni); 
  			    	 finish();
  			    	 Intent i=new Intent(RecuperarFisio.this, ListadoFisios.class);
  	            	 startActivity(i); 
  		        				     } 
  			   }); 
  			   alertDialog.setNegativeButton("No", new DialogInterface.OnClickListener() 
  			   { 
  			      public void onClick(DialogInterface dialog, int which) 
  			     { 
  			      } 
  			    }); 
  			    alertDialog.show();             
  			  return true; 
             	
            default:
                return super.onOptionsItemSelected(item);
        }
    }
    
    
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.vfisio);
        post=new Httppostaux();
        Bundle extras = getIntent().getExtras();
        Enviodni  = extras.getString("dni_f");
        
        nombreusuario= (TextView) findViewById(R.id.tvNombreUsuario);
        password= (TextView) findViewById(R.id.tvPassword);
        nombre= (TextView) findViewById(R.id.tvNombre);
        apellidos= (TextView) findViewById(R.id.tvApellidos);
        direccion= (TextView) findViewById(R.id.tvDireccion);
        dni1= (TextView) findViewById(R.id.tvDNI);
        telefono= (TextView) findViewById(R.id.tvTelefono);
        email= (TextView) findViewById(R.id.tvEmail);
       	new asyncRfisio().execute(Enviodni);        	              
      
		}
    
       
    public void recuperarfisio(String dni){
    	  nombreusuario= (TextView) findViewById(R.id.tvNombreUsuario);
          password= (TextView) findViewById(R.id.tvPassword);
          nombre= (TextView) findViewById(R.id.tvNombre);
          apellidos= (TextView) findViewById(R.id.tvApellidos);
          direccion= (TextView) findViewById(R.id.tvDireccion);
          dni1= (TextView) findViewById(R.id.tvDNI);
          telefono= (TextView) findViewById(R.id.tvTelefono);
          email= (TextView) findViewById(R.id.tvEmail);
    	 
        ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		
 	
 		postparameters2send.add(new BasicNameValuePair("dni",dni));
 		
 		
 		
 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);
      if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
				try {
					 json_data = jdata.getJSONObject(0);
					 datosfisio.nombreusuario = json_data.getString("username");
					 datosfisio.password =  json_data.getString("passw");
					 datosfisio.nombre = json_data.getString("nombre");
					 datosfisio.apellidos = json_data.getString("apellidos");
					 datosfisio.dni = json_data.getString("dni_f");
					 datosfisio.direccion = json_data.getString("direccion");
					 datosfisio.telefono = json_data.getString("telefono");
					 datosfisio.email = json_data.getString("email");
										
				} catch (JSONException e) {
					e.printStackTrace();
				}		            
	             
	    }
	    	
    }   
    
    
  
    public boolean borrarfisio(String dni){
    	
    	int logstatus=-1; 
        
    	ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		
 	
 		postparameters2send.add(new BasicNameValuePair("dni",dni));
 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect1);
  		 if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
	    		try {
					 json_data = jdata.getJSONObject(0); 
					 logstatus=json_data.getInt("logstatus");
										
				} catch (JSONException e) {
					e.printStackTrace();
				}		            
	             
				 if (logstatus==0){
	    			 Log.e("logstatus", "No borrado");
	    			 
	    			 return false;
	    		 }
	    		 else{
	    			 Log.e("logstatus", "Borrado OK");
	     			 return true;
	    		 }
	    		 }else{	
	    				Log.e("JSON  ", "ERROR");
	    			
	    				return false;
	    		 }
    
     }  
 
    
    class asyncRfisio extends AsyncTask<String, String, String >{
    	String dni;
 		protected void onPreExecute() {
 	        pDialog = new ProgressDialog(RecuperarFisio.this);
            pDialog.setMessage("Recuperando datos del fisioterapeuta....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            dni=params[0];
            recuperarfisio(dni);
        	return dni;
            
    }
    		
        protected void onPostExecute(String result) {
        	 pDialog.dismiss();
        	 nombreusuario.setText(datosfisio.nombreusuario);
        	 password.setText(datosfisio.password);
        	 nombre.setText(datosfisio.nombre);
        	 apellidos.setText(datosfisio.apellidos);
        	 dni1.setText(datosfisio.dni);
        	 direccion.setText(datosfisio.direccion);
        	 telefono.setText(datosfisio.telefono);
        	 email.setText(datosfisio.email);
        }

		
    }    

  
    class asyncBfisio extends AsyncTask<String, String, String >{
    	String dni;
    	protected void onPreExecute() {
    		pDialog = new ProgressDialog(RecuperarFisio.this);
            pDialog.setMessage("Borrando los datos del fisioterapeuta....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            dni=params[0];
            borrarfisio(dni);
        	return "ok";
            
    }
    		
        protected void onPostExecute(String result) {
        	 pDialog.dismiss();
        	 
        }
   }
    
}	
        
        	
    

  
