package rcarrilloco.PlanningFisio.pacientes;



import java.util.ArrayList;

import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Vibrator;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.EditText;
import android.widget.Toast;
import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.library.Httppostaux;




public class NuevoPaciente extends Activity {
    EditText nombre;
    EditText apellidos;
    EditText dni;
    EditText nacimiento;
    EditText direccion;
    EditText localidad; 
    EditText provincia;
    EditText codigopostal;
    EditText telefono;
    EditText email;
    EditText sexo;
    String dnif;
    int tipousuario;
    Httppostaux post;

    String IP_Server="www.solucionatest.com";
    String URL_connect="http://"+IP_Server+"/campus/planningfisio/addpaciente.php";
    
    private ProgressDialog pDialog;
    
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_action_nuevo, menu);
        return true;
    }
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            
            case R.id.menu_save:
        		final String v_nombre=nombre.getText().toString();
        		final String v_apellidos=apellidos.getText().toString();
        		final String v_direccion=direccion.getText().toString();
        		final String v_localidad=localidad.getText().toString();
        		final String v_provincia=provincia.getText().toString();
        		final String v_codigopostal=codigopostal.getText().toString();
        		final String v_dni=dni.getText().toString();
        		final String v_nacimiento=nacimiento.getText().toString();
        		final String v_sexo=sexo.getText().toString();
        		final String v_telefono=telefono.getText().toString();
        		final String v_email=email.getText().toString();
        		
        		if( checkpacientedata(v_nombre, v_apellidos, v_direccion, v_localidad, v_provincia, v_codigopostal, v_dni, v_nacimiento, v_sexo, v_telefono, v_email )==true){
        			  AlertDialog.Builder alertDialog = new AlertDialog.Builder(NuevoPaciente.this); 
        			  alertDialog.setMessage("Desea guardar los datos del nuevo paciente?"); 
        			  alertDialog.setTitle("Crear paciente"); 
        			  alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
        			  alertDialog.setCancelable(false); 
        			  alertDialog.setPositiveButton("S", new DialogInterface.OnClickListener() 
        			  { 
        			     public void onClick(DialogInterface dialog, int which) 
        			    { 
        			    	 new asyncNpaciente().execute(v_nombre, v_apellidos, v_direccion, v_localidad, v_provincia, v_codigopostal, v_dni, v_nacimiento, v_sexo, v_telefono, v_email); 
        			     } 
        			   }); 
        			   alertDialog.setNegativeButton("No", new DialogInterface.OnClickListener() 
        			   { 
        			      public void onClick(DialogInterface dialog, int which) 
        			     { 
        			      } 
        			    }); 
        			    alertDialog.show();             
        			       	              
        		}else{
        			err_validarDatos();
        		}
                return true;
           default:
                return super.onOptionsItemSelected(item);
        } 
    }
    
    
    
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.npaciente);
        Bundle extras = getIntent().getExtras();
        dnif=extras.getString("dni_f");
     	tipousuario=extras.getInt("tipo_usuario");
        
        post=new Httppostaux();
        
        nombre= (EditText) findViewById(R.id.EditNombre);
        apellidos= (EditText) findViewById(R.id.EditApellidos);
        direccion= (EditText) findViewById(R.id.EditDireccion);
        localidad= (EditText) findViewById(R.id.EditLocalidad);
        provincia= (EditText) findViewById(R.id.EditProvincia);
        codigopostal= (EditText) findViewById(R.id.EditCodigoPostal);
        dni= (EditText) findViewById(R.id.EditDNI);
        nacimiento= (EditText) findViewById(R.id.EditFechaNacimiento);
        sexo= (EditText) findViewById(R.id.EditSexo);
        telefono= (EditText) findViewById(R.id.EditTelefono);
        email= (EditText) findViewById(R.id.EditEmail);
       
		}
    
    public boolean checkpacientedata(String nombre ,String apellidos, String direccion, String v_localidad, String v_provincia, String v_codigopostal, String dni, String nacimiento, String sexo, String telefono, String email){
    	
        if 	(nombre.equals("") || apellidos.equals("")|| direccion.equals("")|| localidad.equals("")|| provincia.equals("")|| codigopostal.equals("")|| dni.equals("")|| nacimiento.equals("")|| sexo.equals("")|| telefono.equals("")|| email.equals("")){
        	Log.e("Nuevo paciente ui", "checkusuariodata faltan datos");
        return false;
        
        }else{
        	
        	return true;
        }
        
    }      
    public boolean addpaciente(String nombre ,String apellidos, String direccion, String localidad, String provincia, String codigopostal, String dni, String nacimiento, String sexo, String telefono, String email){
    	
    	 ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		
 		postparameters2send.add(new BasicNameValuePair("nombre", nombre));
 		postparameters2send.add(new BasicNameValuePair("apellidos",apellidos));
 		postparameters2send.add(new BasicNameValuePair("direccion",direccion));
 		postparameters2send.add(new BasicNameValuePair("localidad",localidad));
 		postparameters2send.add(new BasicNameValuePair("provincia",provincia));
 		postparameters2send.add(new BasicNameValuePair("codigopostal",codigopostal));
 		postparameters2send.add(new BasicNameValuePair("dni",dni));
 		postparameters2send.add(new BasicNameValuePair("nacimiento",nacimiento));
 		postparameters2send.add(new BasicNameValuePair("sexo",sexo));
 		postparameters2send.add(new BasicNameValuePair("telefono",telefono));
 		postparameters2send.add(new BasicNameValuePair("email",email));
 		postparameters2send.add(new BasicNameValuePair("dni_f",dnif));

 		int logstatus=-1;
 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);

  
	    		
	    if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data;
				try {
					 json_data = jdata.getJSONObject(0);
					 logstatus=json_data.getInt("logstatus");
										
				} catch (JSONException e) {
					e.printStackTrace();
				}		            
	             
	     		 if (logstatus==0){
	    			 Log.e("logstatus", "DNI repetido");
	    			 
	    			 return false;
	    		 }
	    		 else{
	    			 Log.e("logstatus", "Insertado OK");
	     			 return true;
	    		 }
	    		 }else{	
	    				Log.e("JSON  ", "ERROR");
	    			
	    				return false;
	    		 }
	    	
    }   
    
    
   public void err_validarDatos(){
    	Vibrator vibrator =(Vibrator) getSystemService(Context.VIBRATOR_SERVICE);
	    vibrator.vibrate(200);
	    Toast toast1 = Toast.makeText(getApplicationContext(),"Error:Faltan datos por introducir", Toast.LENGTH_SHORT);
 	    toast1.show();    	
    }
    
  
    class asyncNpaciente extends AsyncTask<String, String, String >{
    	String nombre;
		String apellidos;
		String direccion;
		String localidad;
		String provincia;
		String codigopostal;
		String dni;
		String nacimiento;
		String sexo;
		String telefono;
		String email;
 		protected void onPreExecute() {
 	        pDialog = new ProgressDialog(NuevoPaciente.this);
            pDialog.setMessage("Guardando el paciente....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            nombre=params[0];
            apellidos=params[1];
            direccion=params[2];
            localidad=params[3];
            provincia=params[4];
            codigopostal=params[5];
            dni=params[6];
            nacimiento=params[7];
            sexo=params[8];
            telefono=params[9];
            email=params[10];
        	
            if (addpaciente(nombre,apellidos,direccion,localidad,provincia,codigopostal,dni,nacimiento,sexo,telefono,email)==true){    		    		
    			return "ok"; 
    		}else{    
    			 
    			 return "err";
    		}
    }
    		
        protected void onPostExecute(String result) {
        	String resultado = result;
        	pDialog.dismiss();
        	if(resultado=="err")
        	{
        		 AlertDialog.Builder alertDialog = new AlertDialog.Builder(NuevoPaciente.this); 
  			     alertDialog.setMessage("El alta no ha sido efectuada. Ya existe un paciente con ese DNI"); 
  			     alertDialog.setTitle("Atencin"); 
  			     alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
			     alertDialog.setCancelable(true); 
			     alertDialog.show();
        	}else{
        		 finish();
        		 Intent i=new Intent(NuevoPaciente.this, ListadoPacientes.class);
        		 i.putExtra("dni_f", dnif);
        		 i.putExtra("tipo_usuario", tipousuario);
	             startActivity(i);
        	}
        	       
        }

		
    }    

  
    
}	
        
        	
    

  
