package rcarrilloco.PlanningFisio.pacientes;



import java.util.ArrayList;

import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;
import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.library.Httppostaux;




public class RecuperarPaciente extends Activity {
	String Enviodni;
	String dnif;
	TextView nombre;
	TextView apellidos;
	TextView dni1;
	TextView nacimiento;
	TextView direccion;
	TextView localidad;
	TextView provincia;
	TextView codigopostal;
	TextView telefono;
	TextView email;
	TextView sexo;
	int tipousuario;
    Httppostaux post;
	
    class Paciente {
	    public String nombre;
	    public String apellidos;
	    public String direccion;
	    public String localidad;
	    public String provincia;
	    public String codigopostal;
	    public String dni;
	    public String nacimiento;
	    public String sexo;
	    public String telefono;
	    public String email;
	}

	Paciente datospaciente = new Paciente();

	String IP_Server="www.solucionatest.com";
	String URL_connect="http://"+IP_Server+"/campus/planningfisio/recuperar_paciente.php";
    String URL_connect1="http://"+IP_Server+"/campus/planningfisio/borrar_paciente.php";
    private ProgressDialog pDialog;
    
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_action_recuperar, menu);
        return true;
    }
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.menu_edit:
            	finish();
            	Intent i=new Intent(RecuperarPaciente.this, EditarPaciente.class);
            	i.putExtra("dni", Enviodni);
            	i.putExtra("dni_f", dnif);
            	startActivity(i); 
                return true;
            case R.id.menu_delete:
            	
              AlertDialog.Builder alertDialog = new AlertDialog.Builder(RecuperarPaciente.this); 
  			  alertDialog.setMessage("Desea borrar los datos del paciente?"); 
  			  alertDialog.setTitle("Borrar paciente"); 
  			  alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
  			  alertDialog.setCancelable(false); 
  			  alertDialog.setPositiveButton("S", new DialogInterface.OnClickListener() 
  			  { 
  			     public void onClick(DialogInterface dialog, int which) 
  			    { 
  			    	 new asyncBpaciente().execute(Enviodni); 
  			    	 finish();
  			    	 Intent i=new Intent(RecuperarPaciente.this, ListadoPacientes.class);
  	            	 i.putExtra("dni_f", dnif);
             		 i.putExtra("tipo_usuario",tipousuario);

  	            	 startActivity(i); 
  		        				     } 
  			   }); 
  			   alertDialog.setNegativeButton("No", new DialogInterface.OnClickListener() 
  			   { 
  			      public void onClick(DialogInterface dialog, int which) 
  			     { 
  			      } 
  			    }); 
  			    alertDialog.show();             
  			  return true; 
             	
            default:
                return super.onOptionsItemSelected(item);
        }
    }
    
    
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.vpaciente);
        post=new Httppostaux();
        Bundle extras = getIntent().getExtras();
        Enviodni  = extras.getString("dni");
      	dnif = extras.getString("dni_f");
      	tipousuario = extras.getInt("tipo_usuario");;      	   
        nombre= (TextView) findViewById(R.id.tvNombre);
        apellidos= (TextView) findViewById(R.id.tvApellidos);
        direccion= (TextView) findViewById(R.id.tvDireccion);
        localidad= (TextView) findViewById(R.id.tvLocalidad);
        provincia= (TextView) findViewById(R.id.tvProvincia);
        codigopostal= (TextView) findViewById(R.id.tvCodigoPostal);
        dni1= (TextView) findViewById(R.id.tvDNI);
        nacimiento= (TextView) findViewById(R.id.tvFechaNacimiento);
        sexo= (TextView) findViewById(R.id.tvSexo);
        telefono= (TextView) findViewById(R.id.tvTelefono);
        email= (TextView) findViewById(R.id.tvEmail);
       	new asyncRpaciente().execute(Enviodni);        	              
      
		}
    
       
    public void recuperarpaciente(String dni){
    	nombre= (TextView) findViewById(R.id.tvNombre);
        apellidos= (TextView) findViewById(R.id.tvApellidos);
        direccion= (TextView) findViewById(R.id.tvDireccion);
        localidad= (TextView) findViewById(R.id.tvLocalidad);
        provincia= (TextView) findViewById(R.id.tvProvincia);
        codigopostal= (TextView) findViewById(R.id.tvCodigoPostal);
        dni1= (TextView) findViewById(R.id.tvDNI);
        nacimiento= (TextView) findViewById(R.id.tvFechaNacimiento);
        sexo= (TextView) findViewById(R.id.tvSexo);
        telefono= (TextView) findViewById(R.id.tvTelefono);
        email= (TextView) findViewById(R.id.tvEmail);
    	 
        ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		
 	
 		postparameters2send.add(new BasicNameValuePair("dni",dni));
 		
 		
 		
 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);
 
	    if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
				try {
					 json_data = jdata.getJSONObject(0); 
					 
					 datospaciente.nombre = json_data.getString("nombre");
					 datospaciente.apellidos = json_data.getString("apellidos");
					 datospaciente.dni = json_data.getString("dni");
					 datospaciente.direccion = json_data.getString("direccion");
					 datospaciente.localidad = json_data.getString("localidad");
					 datospaciente.provincia = json_data.getString("provincia");
					 datospaciente.codigopostal = json_data.getString("cp");
					 datospaciente.nacimiento = json_data.getString("nacimiento");
					 datospaciente.sexo = json_data.getString("sexo");
					 datospaciente.telefono = json_data.getString("telefono");
					 datospaciente.email = json_data.getString("email");
										
				} catch (JSONException e) {
					e.printStackTrace();
				}		            
	             
	    }
	    	
    }   
    
    
  
    public boolean borrarpaciente(String dni){
    	
    	int logstatus=-1; 
        
    	ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		
 	
 		postparameters2send.add(new BasicNameValuePair("dni",dni));
 		
 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect1);
  		 if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
	    		try {
					 json_data = jdata.getJSONObject(0); 
					 logstatus=json_data.getInt("logstatus");
										
				} catch (JSONException e) {
				
					e.printStackTrace();
				}		            
	            if (logstatus==0){
	    			 Log.e("logstatus", "No borrado");
	    			 
	    			 return false;
	    		 }
	    		 else{
	    			 Log.e("logstatus", "Borrado OK");
	     			 return true;
	    		 }
	    		 }else{	
	    				Log.e("JSON  ", "ERROR");
	    			
	    				return false;
	    		 }
    
     }  
 
    
    class asyncRpaciente extends AsyncTask<String, String, String >{
    	String dni;
 		protected void onPreExecute() {
 	        pDialog = new ProgressDialog(RecuperarPaciente.this);
            pDialog.setMessage("Recuperando datos del paciente....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            dni=params[0];
            recuperarpaciente(dni);
        	return dni;
            
    }
    		
        protected void onPostExecute(String result) {
        	 pDialog.dismiss();
        	 nombre.setText(datospaciente.nombre);
        	 apellidos.setText(datospaciente.apellidos);
        	 dni1.setText(datospaciente.dni);
        	 direccion.setText(datospaciente.direccion);
        	 localidad.setText(datospaciente.localidad);
        	 provincia.setText(datospaciente.provincia);
        	 codigopostal.setText(datospaciente.codigopostal);
        	 sexo.setText(datospaciente.sexo);
        	 telefono.setText(datospaciente.telefono);
        	 email.setText(datospaciente.email);
        	 nacimiento.setText(datospaciente.nacimiento);
        }

		
    }    

  
    class asyncBpaciente extends AsyncTask<String, String, String >{
    	String dni;
    	String dnif;
 		protected void onPreExecute() {
            pDialog = new ProgressDialog(RecuperarPaciente.this);
            pDialog.setMessage("Borrando los datos del paciente....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            dni=params[0];
            borrarpaciente(dni);
        	return "ok";
            
    }
    		
        protected void onPostExecute(String result) {
        	 pDialog.dismiss();
        	 
        }

		
    }


    
}	
        
        	
    

  
