package rcarrilloco.PlanningFisio;

import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.fisioterapeutas.ListadoFisios;
import rcarrilloco.PlanningFisio.pacientes.ListadoPacientes;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageButton;
import android.widget.TextView;
public class MAdministrador extends Activity {
	
	String user;
	
	String dnif;
	int tipousuario;
	TextView txt_usr;
	TextView txt_tipo;
	ImageButton bListadoPacientes;
	ImageButton bListadoFisios;

	 public void onCreate(Bundle savedInstanceState) {
		 
	       super.onCreate(savedInstanceState);
	       setContentView(R.layout.madministrador);
           bListadoPacientes= (ImageButton) findViewById(R.id.bPacientes);
           bListadoFisios=(ImageButton) findViewById(R.id.bFisios);
           
            Bundle extras = getIntent().getExtras();
            if (extras != null) {
         	   user  = extras.getString("user");
         	   tipousuario=extras.getInt("tipo_usuario");
         	   dnif=extras.getString("dni_f");
         	   }else{
         	   user="error";
         	   }
            
            
            bListadoPacientes.setOnClickListener(new View.OnClickListener(){
	         	
	         	public void onClick(View view){
	         		Intent i=new Intent(MAdministrador.this, ListadoPacientes.class);
					i.putExtra("dni_f",dnif);
					i.putExtra("tipo_usuario", tipousuario);
					startActivity(i); 
	         		}
	         	});	     
            
             bListadoFisios.setOnClickListener(new View.OnClickListener(){
	         	
	         	public void onClick(View view){
	         		Intent i=new Intent(MAdministrador.this, ListadoFisios.class);
					i.putExtra("dni_f",dnif);
					startActivity(i); 
	         		}
	         	});	  
	      
	 }
	 
	
	 public void clickOnAbout(View v)
	    {
	    	Intent i = new Intent(MAdministrador.this, About.class);
	    	startActivity(i);
	    }
	    
	    public void clickOnExit(View v)
	    {
	    	this.finish();
	    }
	    
	    @Override 
	    public boolean onCreateOptionsMenu(Menu menu) 
	    {
	        super.onCreateOptionsMenu(menu);
	        MenuInflater inflater = getMenuInflater();
	        inflater.inflate(R.menu.menu, menu);

	        return true; 
	     }
	    

	     @Override 
	     public boolean onOptionsItemSelected(MenuItem item)
	     {
	         switch (item.getItemId())
	         {
	         	case R.id.mnuAbout:    clickOnAbout(null);     break;
	         	case R.id.mnuExit:     clickOnExit(null);      break;
	         }

	         return true; 

	     }
	
	
}
