package rcarrilloco.PlanningFisio.citas;



import java.util.ArrayList;

import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;
import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.library.Httppostaux;





public class BorrarCita extends Activity {
	String Enviodni;
	String Fecha;
	String Hora;
	String dnif;
    Httppostaux post;
    String IP_Server="www.solucionatest.com";
    String URL_connect="http://"+IP_Server+"/campus/planningfisio/borrar_cita.php";
    private ProgressDialog pDialog;
    
   
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.listadopacientes);
        post=new Httppostaux();
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
      	   dnif  = extras.getString("dni_f");
      	   Fecha = extras.getString("fecha");
      	   Hora = extras.getString("hora");
      	   new asyncBcita().execute(Fecha,Hora,dnif);   
      	   }else{
      	   Enviodni="error";
      	   }
		}
       
 public boolean borrarcita(String fecha, String hora){
    	
    	int logstatus=-1; 
        
    	ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		
 	
 		postparameters2send.add(new BasicNameValuePair("fecha",fecha));
 		postparameters2send.add(new BasicNameValuePair("hora",hora));
 		postparameters2send.add(new BasicNameValuePair("dni_f",dnif));
 		
 		
 		   
 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);
  		 if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
	    		try {
					 json_data = jdata.getJSONObject(0); 
					 logstatus=json_data.getInt("logstatus");
										
				} catch (JSONException e) {
					
					e.printStackTrace();
				}		            
	             
			
	    		 if (logstatus==0){// [{"logstatus":"0"}] 
	    			 Log.e("logstatus", "No borrado");
	    			 
	    			 return false;
	    		 }
	    		 else{
	    			 Log.e("logstatus", "Borrado OK");
	     			 return true;
	    		 }
	    		 }else{	
	    				Log.e("JSON  ", "ERROR");
	    			
	    				return false;
	    		 }
    
    
 }
    
 
 class asyncBcita extends AsyncTask<String, String, String >{
    	String fecha;
		String hora;
 		protected void onPreExecute() {
            pDialog = new ProgressDialog(BorrarCita.this);
            pDialog.setMessage("Borrando la cita....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            fecha=params[0];
            hora=params[1];
            borrarcita(fecha,hora);
        	return fecha;
            
    }
    		
        protected void onPostExecute(String result) {
        	 pDialog.dismiss();
        	 finish();
        	 Intent i=new Intent(BorrarCita.this, Planning.class);
        	 i.putExtra("dni_f", dnif);
        	 i.putExtra("fecha", Fecha);
             startActivity(i);
        }

		
    }
 }
        
        	
    

  
