package rcarrilloco.PlanningFisio.pacientes;



import java.util.ArrayList;

import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.EditText;
import rcarrilloco.PlanningFisio.R;
import rcarrilloco.PlanningFisio.library.Httppostaux;




public class EditarPaciente extends Activity {
	String Enviodni;
	String dnif;
	EditText nombre;
	EditText apellidos;	
	EditText dni1;
	EditText nacimiento;
	EditText direccion;
	EditText localidad;
	EditText provincia;
	EditText codigopostal;
	EditText telefono;
	EditText email;
	EditText sexo;
    Httppostaux post;
	
    class Paciente {
	    public String nombre;
	    public String apellidos;
	    public String direccion;
	    public String localidad;
	    public String provincia;
	    public String codigopostal;
	    public String dni;
	    public String nacimiento;
	    public String sexo;
	    public String telefono;
	    public String email;
	}

	ArrayList<Paciente> arrayOfPaciente = new ArrayList<Paciente>();

	Paciente datospaciente = new Paciente();

	String IP_Server="www.solucionatest.com";
    String URL_connect="http://"+IP_Server+"/campus/planningfisio/recuperar_paciente.php";
    String URL_connect1="http://"+IP_Server+"/campus/planningfisio/actualizar_paciente.php";

    private ProgressDialog pDialog;
    
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_action_nuevo, menu);
        return true;
    }
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            
            case R.id.menu_save:
            	final String v_nombre=nombre.getText().toString();
        		final String v_apellidos=apellidos.getText().toString();
        		final String v_direccion=direccion.getText().toString();
        		final String v_localidad=localidad.getText().toString();
        		final String v_provincia=provincia.getText().toString();
        		final String v_codigopostal=codigopostal.getText().toString();
        		final String v_dni=dni1.getText().toString();
        		final String v_nacimiento=nacimiento.getText().toString();
        		final String v_sexo=sexo.getText().toString();
        		final String v_telefono=telefono.getText().toString();
        		final String v_email=email.getText().toString();
            	
        		 AlertDialog.Builder alertDialog = new AlertDialog.Builder(EditarPaciente.this); 
     			  alertDialog.setMessage("Desea actualizar los datos del paciente?"); 
     			  alertDialog.setTitle("Actualizar paciente"); 
     			  alertDialog.setIcon(android.R.drawable.ic_dialog_alert); 
     			  alertDialog.setCancelable(false); 
     			  alertDialog.setPositiveButton("S", new DialogInterface.OnClickListener() 
     			  { 
     			     public void onClick(DialogInterface dialog, int which) 
     			    { 
     	        		new asyncApaciente().execute(v_nombre, v_apellidos, v_direccion, v_localidad, v_provincia, v_codigopostal, v_dni, v_nacimiento, v_sexo, v_telefono, v_email);  
     	        		 
     	                			     } 
     			   }); 
     			   alertDialog.setNegativeButton("No", new DialogInterface.OnClickListener() 
     			   { 
     			      public void onClick(DialogInterface dialog, int which) 
     			     { 
     			      } 
     			    }); 
     			    alertDialog.show();         

            return true;   
            default:
                return super.onOptionsItemSelected(item);
        }
    }
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.epaciente);
        post=new Httppostaux();
        Bundle extras = getIntent().getExtras();
        Enviodni  = extras.getString("dni");
        dnif = extras.getString("dni_f");
        nombre= (EditText) findViewById(R.id.tvNombre);
        apellidos= (EditText) findViewById(R.id.tvApellidos);
        direccion= (EditText) findViewById(R.id.tvDireccion);
        localidad= (EditText) findViewById(R.id.tvLocalidad);
        provincia= (EditText) findViewById(R.id.tvProvincia);
        codigopostal= (EditText) findViewById(R.id.tvCodigoPostal);
        dni1= (EditText) findViewById(R.id.tvDNI);
        nacimiento= (EditText) findViewById(R.id.tvFechaNacimiento);
        sexo= (EditText) findViewById(R.id.tvSexo);
        telefono= (EditText) findViewById(R.id.tvTelefono);
        email= (EditText) findViewById(R.id.tvEmail);
        
       	new asyncEpaciente().execute(Enviodni);        	              
	}
    
       
    public void recuperarpaciente(String dni){
    	nombre= (EditText) findViewById(R.id.tvNombre);
        apellidos= (EditText) findViewById(R.id.tvApellidos);
        direccion= (EditText) findViewById(R.id.tvDireccion);
        localidad= (EditText) findViewById(R.id.tvLocalidad);
        provincia= (EditText) findViewById(R.id.tvProvincia);
        codigopostal= (EditText) findViewById(R.id.tvCodigoPostal);
        dni1= (EditText) findViewById(R.id.tvDNI);
        nacimiento= (EditText) findViewById(R.id.tvFechaNacimiento);
        sexo= (EditText) findViewById(R.id.tvSexo);
        telefono= (EditText) findViewById(R.id.tvTelefono);
        email= (EditText) findViewById(R.id.tvEmail);
         
    	 
         ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
  		
 	
 		postparameters2send.add(new BasicNameValuePair("dni",dni));
 		
 		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect);
  
	    if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
				try {
					 json_data = jdata.getJSONObject(0); 
					 
					 datospaciente.nombre = json_data.getString("nombre");
					 datospaciente.apellidos = json_data.getString("apellidos");
					 datospaciente.dni = json_data.getString("dni");
					 datospaciente.direccion = json_data.getString("direccion");
					 datospaciente.localidad = json_data.getString("localidad");
					 datospaciente.provincia = json_data.getString("provincia");
					 datospaciente.codigopostal = json_data.getString("cp");
					 datospaciente.nacimiento = json_data.getString("nacimiento");
					 datospaciente.sexo = json_data.getString("sexo");
					 datospaciente.telefono = json_data.getString("telefono");
					 datospaciente.email = json_data.getString("email");
					
										
				} catch (JSONException e) {
					e.printStackTrace();
				}		            
	             
	    }
	    	
    }   
    
    
    public boolean actualizarpaciente(String nombre ,String apellidos, String direccion, String localidad, String provincia, String codigopostal, String dni, String nacimiento, String sexo, String telefono, String email ){
    	
   	 ArrayList<NameValuePair> postparameters2send= new ArrayList<NameValuePair>();
 		
		postparameters2send.add(new BasicNameValuePair("nombre", nombre));
		postparameters2send.add(new BasicNameValuePair("apellidos",apellidos));
		postparameters2send.add(new BasicNameValuePair("direccion",direccion));
		postparameters2send.add(new BasicNameValuePair("localidad",localidad));
		postparameters2send.add(new BasicNameValuePair("provincia",provincia));
		postparameters2send.add(new BasicNameValuePair("codigopostal",codigopostal));
		postparameters2send.add(new BasicNameValuePair("dni",dni));
		postparameters2send.add(new BasicNameValuePair("nacimiento",nacimiento));
		postparameters2send.add(new BasicNameValuePair("sexo",sexo));
		postparameters2send.add(new BasicNameValuePair("telefono",telefono));
		postparameters2send.add(new BasicNameValuePair("email",email));
		postparameters2send.add(new BasicNameValuePair("dnip",Enviodni));
		int logstatus=-1;
		JSONArray jdata=post.getserverdata(postparameters2send, URL_connect1);
         if (jdata!=null && jdata.length() > 0){

	    		JSONObject json_data; 
				try {
					 json_data = jdata.getJSONObject(0); 
					 logstatus=json_data.getInt("logstatus");
										
				} catch (JSONException e) {
					e.printStackTrace();
				}		            
	             
	    		 if (logstatus==0){
	    			 Log.e("logstatus", "DNI repetido");
	    			 return false;
	    		 }
	    		 else{
	    			 Log.e("logstatus", "Insertado OK");
	     			 return true;
	    		 }
	    		 }else{	
	    		     Log.e("JSON  ", "ERROR");
	    			 return false;
	    		 }
	    	
   }   
	    	
      
    
  
    class asyncEpaciente extends AsyncTask<String, String, String >{
    	String dni;
 		protected void onPreExecute() {
 		    pDialog = new ProgressDialog(EditarPaciente.this);
            pDialog.setMessage("Recuperando datos del paciente....");
            pDialog.setIndeterminate(false);
            pDialog.setCancelable(false);
            pDialog.show();
        }
 
        protected String doInBackground(String... params) {
            dni=params[0];
            recuperarpaciente(dni);
        	return dni;
            
    }
    		
        protected void onPostExecute(String result) {
        	 pDialog.dismiss();
        	 nombre.setText(datospaciente.nombre);
        	 apellidos.setText(datospaciente.apellidos);
        	 dni1.setText(datospaciente.dni);
        	 direccion.setText(datospaciente.direccion);
        	 localidad.setText(datospaciente.localidad);
        	 provincia.setText(datospaciente.provincia);
        	 codigopostal.setText(datospaciente.codigopostal);
        	 sexo.setText(datospaciente.sexo);
        	 telefono.setText(datospaciente.telefono);
        	 email.setText(datospaciente.email);
        	 nacimiento.setText(datospaciente.nacimiento);
        }

		
    }    
   

        

class asyncApaciente extends AsyncTask<String, String, String >{
	String nombre;
	String apellidos;
	String direccion;
	String localidad;
	String provincia;
	String codigopostal;
	String dni;
	String nacimiento;
	String sexo;
	String telefono;
	String email;
		protected void onPreExecute() {
        pDialog = new ProgressDialog(EditarPaciente.this);
        pDialog.setMessage("Actualizando los datos del paciente....");
        pDialog.setIndeterminate(false);
        pDialog.setCancelable(false);
        pDialog.show();
    }

    protected String doInBackground(String... params) {
    	nombre=params[0];
        apellidos=params[1];
        direccion=params[2];
        localidad=params[3];
        provincia=params[4];
        codigopostal=params[5];
        dni=params[6];
        nacimiento=params[7];
        sexo=params[8];
        telefono=params[9];
        email=params[10];
        actualizarpaciente(nombre,apellidos,direccion,localidad,provincia,codigopostal,dni,nacimiento,sexo,telefono,email);
    	return "OK";
        
}
		
    protected void onPostExecute(String result) {
    	 pDialog.dismiss();
    	 finish();
    	 Intent i=new Intent(EditarPaciente.this, RecuperarPaciente.class);
      	 i.putExtra("dni", dni);
		 i.putExtra("dni_f", dnif);
         startActivity(i);
    	
    }
  }    

}	




  
